Deployments.ai Docs
Agent Email

Bind an inbox to an agent deployment or external target

POST /v1/agent-email/inboxes/{inboxId}/bindings · SDK createAgentEmailBinding · CLI deployments inbox-binding create

POST
/v1/agent-email/inboxes/{inboxId}/bindings

Requires agent-email:write.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

inboxId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string
Length1 <= length <= 512

Request Body

application/json
  1. body
agentDeploymentId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
bindingType*"platform_agent"
Value in"platform_agent"
externalId?string
metadata?

Response Body

AgentEmailBindingResponse

application/json
  1. response
agentDeploymentId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
bindingType*string
Value in"external""platform_agent"
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
externalId*string
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
inboxId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
metadata*
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
status*string
Value in"active""archived""disabled"
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
curl -X POST "https://example.com/v1/agent-email/inboxes/string/bindings" \  -H "x-deployments-environment: string" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "agentDeploymentId": "string",    "bindingType": "platform_agent"  }'
{  "agentDeploymentId": "string",  "bindingType": "external",  "createdAt": "2019-08-24T14:15:22Z",  "externalId": "string",  "id": "string",  "inboxId": "string",  "metadata": {    "property1": null,    "property2": null  },  "organizationId": "string",  "status": "active",  "updatedAt": "2019-08-24T14:15:22Z"}